[ic] Interchange and RaQs

Mark Atkinson marka@netbrick.net
Wed, 8 Nov 2000 12:06:26 -0700 (MST)

Just an FYI several people on the list have found that the tar.gz or RPM
install of interchange does not install all of the required perl modules
in order for interchange to run.  Check the past postings on the
list.  This is a common problem.


On 8 Nov 2000, Doug Alcorn wrote:

> "Juzzin" <juzzin@pixelunion.com> writes:
> > Has anyone here ever successfully installed Interchange on a RaQ? If
> > so, did you use the RPM or the tarball?
> > 
> > I've had the most success with the tarball. 
> This has been my experience too.  Being fairly new to IC (but not
> Linux), I find IC cumbersome to install.  Ideally the rpm should be
> able to solve all the multitude of permissions settings required.
> Also, you would think the rpm would also handle dependency checking
> for the perl modules required for the admin stuff.
> > However, I ran into problems logging into the administrative
> > interface (login/pass didn't work -- non-sql) and the main screen
> > repeatedly printed "error" where the store categories usually are.
> I would suggest you make sure all the perl modules are installed.  I
> think you can run something like this from the command line:
> # perl -MCPAN -e 'install Bundle::Interchange'
> WARNING: This may actually re-install your entire perl distribution.
> It did on mine.  However, going this route was the only think that got
> IC installed and working on my box.